Loading...
Searching...
No Matches
push_front.hpp File Reference

## Classes

struct | ranges::push_front_fn

## Typedefs

template<typename Cont , typename T >
using | ranges::push_front_t = decltype(static_cast< void >(unwrap_reference(std::declval< Cont & >()).push_front(std::declval< T >())))

## Functions

template<typename Cont , typename Rng > requires lvalue_container_like<Cont> && range<Rng>
insert_t< Cont, Rng > | ranges::push_front (Cont &&cont, Rng &&rng)
template<typename Cont , typename T > requires lvalue_container_like<Cont> && (!range<T>) && constructible_from<range_value_t<Cont>, T>
push_front_t< Cont, T > | ranges::push_front (Cont &&cont, T &&t)

## Variables

constexpr adl_push_front_detail::push_front_fn | ranges::actions::push_front {}